uuid: 0b250477-9ae8-4167-9237-dcdcd551d4d4
langcode: en
status: true
dependencies: {  }
id: upgrade_d6_node_revision_blog
class: Drupal\migrate\Plugin\Migration
field_plugin_method: alterFieldFormatterMigration
cck_plugin_method: null
migration_tags:
  - 'Drupal 6'
  - Content
migration_group: migrate_drupal_6
label: 'Node revisions (blog)'
source:
  plugin: d6_node_revision
  node_type: blog
process:
  nid:
    -
      plugin: get
      source: nid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  body/format:
    -
      plugin: migration_lookup
      migration: upgrade_d6_filter_format
      source: format
  body/value:
    -
      plugin: get
      source: body
  body/summary:
    -
      plugin: get
      source: teaser
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
destination:
  plugin: 'entity_revision:node'
  default_bundle: blog
migration_dependencies:
  required:
    - upgrade_d6_node_blog
  optional:
    - upgrade_d6_filter_format
